/*!
 * Theme Name: KolibriPictures.hu
 * Theme URI: https://kolibripictures.hu/
 * Author: HaruTheme
 * Author URI: https://harutheme.com/
 * Description: This is child theme of Frames.
 * Template: frames
 * Version: 1.0.0
 */

.single-video__meta,
.single-video__info,
.single-video__content,
.single-video__gallery,
.video-item__content {
	display: none !important;
}

html {
	scroll-padding-top: 6rem;
}

.szolgaltatasok-menu {
	max-width: 100%;
}

.szolgaltatasok-menu .mega-menu-content .menu-item:first-child .haru-item {
	padding-top: 10px;
}

.szolgaltatasok-menu .mega-menu-content .menu-item:last-child .haru-item {
	padding-bottom: 10px;
}

@media screen and (min-width: 992px) {
	.szolgaltatasok-menu {
		max-width: unset;
	}
}

.wpcf7-form-control-wrap,
.wpcf7-acceptance,
.wpcf7-list-item {
	display: block;
}

.wpcf7-acceptance .wpcf7-list-item {
	margin: 0;
}

.wpcf7-acceptance .wpcf7-list-item > label {
	display: flex;
	align-items: baseline;
	gap: 10px;
}

.wpcf7-acceptance .wpcf7-list-item > label input {
	margin: 0;
}

.contact-form--dark .contact-form__submit {
	margin-top: 0;
}

.contact-form--dark .contact-form__submit [type="submit"] {
	background: white;
	color: black;
}

textarea {
	resize: vertical;
	min-height: 100px;
	max-height: 200px;
}

.contact-form--dark .contact-form__submit [type="submit"]:hover {
	color: white;
	background: #54a2af;
}

.contact-form--dark .contact-form__submit [type="submit"]:disabled {
	opacity: 0.25;
	background: white !important;
	color: black;
}

.contact-form--dark input[type="text"],
.contact-form--dark input[type="email"],
.contact-form--dark input[type="password"],
.contact-form--dark input[type="search"],
.contact-form--dark input[type="number"],
.contact-form--dark input[type="url"],
.contact-form--dark input[type="tel"],
.contact-form--dark input[type="date"],
.contact-form--dark select,
.contact-form--dark textarea {
	background: transparent;
	color: white;
}

.contact-form--dark ::placeholder {
	color: white;
	opacity: 1;
}

.contact-form--dark ::-ms-input-placeholder {
	color: white;
}

.contact-form--dark .contact-form__row {
	align-items: flex-start;
}

.contact-form--dark .wpcf7-acceptance {
	color: white;
}

.contact-form--dark .wpcf7-acceptance a {
	text-decoration: underline;
	color: inherit;
}

footer#haru-footer .wpcf7 form .wpcf7-response-output {
	padding: 10px;
	border: none;
	background: #00a0d2;
	color: white;
}

footer#haru-footer .wpcf7 form.sent .wpcf7-response-output {
	background: #46b450;
}

.button-full-width-mobile .haru-button {
	width: 100%;
}

@media screen and (min-width: 768px) {
	.button-full-width-mobile .haru-button {
		width: auto;
	}
}

.haru-title-404 {
	height: 250px;
	line-height: 1;
	font-weight: 700;
	position: relative;
	margin: 0;
	text-decoration: none;
}

.haru-title-404:before,
.haru-title-404:after {
	display: block;
	content: "404";
	position: absolute;
	top: 0;
	left: 0;
	height: 100%;
	width: 100%;
	opacity: 0.8;
}

.haru-title-404:after {
	color: #f0f;
	z-index: -2;
	animation: glitch 0.3s cubic-bezier(0.25, 0.46, 0.45, 0.94) reverse both
		infinite;
}

.haru-title-404:before {
	color: #0ff;
	z-index: -1;
	animation: glitch 0.3s cubic-bezier(0.25, 0.46, 0.45, 0.94) both infinite;
}

@keyframes glitch {
	0% {
		transform: translate(0);
	}
	20% {
		transform: translate(-5px, 5px);
	}
	40% {
		transform: translate(-5px, -5px);
	}
	60% {
		transform: translate(5px, 5px);
	}
	80% {
		transform: translate(5px, -5px);
	}
	to {
		transform: translate(0);
	}
}

.video-item--style-3 .video-item__icon,
.video-item--style-2 .video-item__icon {
	top: 50%;
}

.single-video.style-1 .single-video__title {
	font-size: 2rem !important;
}

.haru-page-title.has-bg-image:before {
	background-color: rgba(0, 0, 0, 0.3);
	mix-blend-mode: multiply;
}
